#
# spec file for package python-certbot-dns-nsone
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-certbot-dns-nsone
Version:        0.32.0
Release:        2.1
Summary:        NS1 Authenticator plugin for Certbot
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/certbot/certbot
Source:         https://files.pythonhosted.org/packages/source/c/certbot-dns-nsone/certbot-dns-nsone-%{version}.tar.gz
BuildRequires:  %{python_module certbot >= 0.21.1}
BuildRequires:  %{python_module dns-lexicon >= 2.2.1}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-acme >= 0.21.1
Requires:       python-certbot >= 0.21.1
Requires:       python-dns-lexicon >= 2.2.1
Requires:       python-zope.interface
BuildArch:      noarch
%python_subpackages

%description
Nsone DNS Authenticator plugin for Certbot.

%prep
%setup -q -n certbot-dns-nsone-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Mar 18 2019 mcalabkova@suse.com
- update to version 0.32.0
  * sync with main certbot package
* Fri Feb  8 2019 mcalabkova@suse.com
- update to version 0.31.0
  * Lexicon-based DNS plugins are now fully compatible with Lexicon 3.x
* Tue Jan 29 2019 tchvatal@suse.com
- Update to 0.30.2:
  * lockstep with main certbot package
* Fri Nov 16 2018 mcalabkova@suse.com
- update to version 0.28.0
  * The NS1 plugin is now compatible with Lexicon 3.0+.
* Fri Sep 14 2018 mcalabkova@suse.com
- update to version 0.27.1
  * sync with main certbot package
* Mon Sep  3 2018 mcalabkova@suse.com
- Split the module from the main certbot package
